Std Positionierung

From FreeCAD Documentation
Revision as of 17:48, 15 September 2020 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Std Platzierung

Menüeintrag
Bearbeiten → Platzierung...
Arbeitsbereich
All
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Std Ausrichtung,Aufgabenplatzierung, Platzierung

Beschreibung

Der Std Platzierung Befehl zeigt die Platzierung Aufgabenkonsole für ein ausgewähltes Objekt an.

Die Positionierungsaufgabenkonsole

Verwendung

  1. Wähle ein einzelnes Objekt aus. Das Objekt muss über eine Daten-EigenschaftPlatzierung Eigenschaft verfügen.
  2. Wähle die Template:MenuCommand/de Option aus dem Menü.
  3. Ändere einen oder mehrere der Translations- und Rotationsparameter.
  4. Führe einen der folgenden Schritte aus:
    • Drücke die OK Schaltfläche, um die Änderungen zu übernehmen und die Aufgabenkonsole zu schließen.
    • Drücke die Apply Schaltfläche, um die Änderungen zu übernehmen, aber lasse die Aufgabenkonsole für weitere Änderungen offen.

The dialog can also be launched by clicking on the ellipsis button ... that appears in the property editor when you click on the DatenPlacement property.

Hinweise

  • Die Platzierungsaufgabenkonsole wird auch angezeigt, wenn du ein Objekt auswählst, klicke im DatenPlatzierung Feld im Eigenschaftseditor oder in der Combo Ansicht und dann die ... Schaltfläche drücken, die erscheint.
  • Für weitere Informationen zu den Platzierungsparametern siehe Aufgabenplatzierung und Platzierung Seiten und das Flugzeug Tutorium.

Skripten

Siehe auch: FreeCAD Grundlagen Skripten.

A placement is internally defined by a matrix; in many cases it is simpler to represent it by means of two components, a Base point (vector), and a Rotation value. The Rotation itself has different representations; it can be entirely defined by the value of a "quaternion" (xi + yj + zk + w), but it can also be described by a rotation Axis (unit vector) and a rotation Angle (radians).

import FreeCAD as App

doc = App.newDocument()
obj = doc.addObject("Part::Cylinder", "Cylinder")

print(obj.Placement)
# Placement [Pos=(0,0,0), Yaw-Pitch-Roll=(0,0,0)]
print(obj.Placement.Base)
# Vector (0.0, 0.0, 0.0)
print(obj.Placement.Rotation)
# Rotation (0.0, 0.0, 0.0, 1.0)

print(obj.Placement.Rotation.Angle)
# 0.0
print(obj.Placement.Rotation.Axis)
# Vector (0.0, 0.0, 1.0)
print(obj.Placement.Rotation.Q)
# (0.0, 0.0, 0.0, 1.0)

Move the base point of the object, then rotate the object 45 degrees around the X axis.

import math

obj.Placement.Base = App.Vector(5, 3, 1)
obj.Placement.Rotation.Axis = App.Vector(1, 0, 0)
obj.Placement.Rotation.Angle = math.radians(45)

print(obj.Placement)
# Placement [Pos=(5,3,1), Yaw-Pitch-Roll=(0,0,45)]
print(obj.Placement.Rotation.Q)
# (0.3826834323650898, 0.0, 0.0, 0.9238795325112867)
print(obj.Placement.Matrix)
# Matrix ((1,0,0,5),(0,0.707107,-0.707107,3),(0,0.707107,0.707107,1),(0,0,0,1))